Changeset 1606


Ignore:
Timestamp:
Oct 31, 2008, 12:44:19 AM (13 years ago)
Author:
Peter
Message:

fixes #456. YAT_LT_VERSION was already used to I picked YAT_LT_VERSION_INFO intead. Also the declaration was split into current revision and age. Currently those are no AC_SUBSTed out to Makefiles though.

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/build_support/version.m4

    r1487 r1606  
    5353# yat-0.4.2  1:1:0
    5454#
    55 m4_define([LT_VERSION], [1:1:0])
     55m4_define([YAT_LT_CURRENT], [1])
     56m4_define([YAT_LT_REVISION], [1])
     57m4_define([YAT_LT_AGE], [0])
    5658
    5759
     
    6870                                  YAT_VERSION))
    6971
     72m4_define([YAT_LT_VERSION_INFO], YAT_LT_CURRENT[:]YAT_LT_REVISION[:]YAT_LT_AGE)
  • trunk/configure.ac

    r1597 r1606  
    3939AC_PREFIX_DEFAULT([/usr/local])
    4040
    41 AC_SUBST([YAT_LT_VERSION], [LT_VERSION])
     41AC_SUBST([YAT_LT_VERSION], [YAT_LT_VERSION_INFO])
    4242AC_SUBST([YAT_MAJOR_VERSION], [MAJOR_VERSION])
    4343AC_SUBST([YAT_MINOR_VERSION], [MINOR_VERSION])
Note: See TracChangeset for help on using the changeset viewer.